## strcase 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
include(GNUInstallDirs)
project(strcase
    VERSION 0.0.1
    DESCRIPTION "Multiway branch (switch) for short strings in C (in one header file)"
    HOMEPAGE_URL "https://github.com/rd235/strcase")

install(FILES strcase.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES strcase.3
		DESTINATION ${CMAKE_INSTALL_MANDIR}/man3)

=== debian/changelog ===
strcase (0.1-3) unstable; urgency=medium

  * Source only upload

 -- Andrea Capriotti <capriott@debian.org>  Mon, 24 Aug 2020 20:56:14 +0200

strcase (0.1-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Fix Vcs
  * Initial Debian release (Closes: #965295)

 -- Andrea Capriotti <capriott@debian.org>  Sun, 19 Jul 2020 00:24:16 +0200

strcase (0.1-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 05 Jul 2020 16:00:04 +0200

=== debian/control ===
Source: strcase
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.12)
Standards-Version: 4.5.0
Section: libdevel
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/strcase.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/strcase
Rules-Requires-Root: no

Package: strcase-dev
Architecture: all
Depends: ${misc:Depends}
Description: Multiway branch (switch) for short strings in C
 strcase (or strcase_tolower) can be used in the expression of a switch
 statement to convert a string to an integer type, STRCASE generates  at
 compile time the integer constants for the case stanzas of the switch.
 .
 This package contains the development files used for C programs.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/rd235/strcase/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
